{ pkgs, ... }: let
  common = import ../common.nix { inherit pkgs; };
  neoForge = pkgs.writeShellScriptBin "minecraft-server" ''
    ${pkgs.temurin-jre-bin}/bin/java @user_jvm_args.txt @libraries/net/neoforged/neoforge/21.1.51/unix_args.txt "$@"
  '';
in {
  services.minecraft-servers.servers.freaktards = {
    enable = true;
    package = neoForge;
    serverProperties = common.serverProperties // {
      difficulty = 1;
      server-port = 30013;
      motd = "\\u00A7l\\u00A7o𝓯𝓻𝓮𝓪𝓴\\u00A7r\\u00A7ltards official™️";
    };
    whitelist = common.whitelist;
    symlinks = common.configSymlinks;
  };
}
